Subject: bug#32279: closed (Re: bug#32279: activate-readline interaction with git)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 02 Feb 2023 14:20:01 +0000

Your bug report

#32279: activate-readline interaction with git

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32279: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=32279
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32279: activate-readline interaction with git
From: Jelle Licht <[email-masked]>
To: Mark H Weaver <[email-masked]>
Cc: [email-masked]
Date: Thu, 02 Feb 2023 15:19:44 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Mark et all,

I can no longer reproduce this issue, so I'll close the issue.

- Jelle

Mark H Weaver <[email-masked]> writes:

> Hi Jelle,
>
> Jelle Licht <[email-masked]> writes:
>> Loading the (git) module after a call to (activate-readline) from
>> (ice-9 readline) stalls my repl, in most (9 out of 10) cases.
>
> The (git) module is not part of core Guile, and is not maintained by the
> Guile developers.  Am I correct in guessing that it's part of the
> 'guile-git' project?  If so, I suggest reporting the problem here:
>
>   https://gitlab.com/guile-git/guile-git/issues
>
> I'd be glad to discuss the issue with the 'guile-git' developers, but I
> think the investigation will need to start with them, given that I have
> zero knowledge of 'guile-git' internals and wouldn't know where to begin
> looking for the source of this problem.
>
>      Regards,
>        Mark

Subject: activate-readline interaction with git
From: Jelle Licht <[email-masked]>
To: [email-masked]
Date: Thu, 26 Jul 2018 14:34:09 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Loading the (git) module after a call to (activate-readline) from
(ice-9 readline) stalls my repl, in most (9 out of 10) cases.

Observe:

--8<---------------cut here---------------start------------->8---
$ guile -q
GNU Guile 2.2.4
Copyright (C) 1995-2017 Free Software Foundation, Inc.

Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show w'.
This program is free software, and you are welcome to redistribute it
under certain conditions; type `,show c' for details.

Enter `,help' for help.
scheme@(guile-user)> (use-modules (ice-9 readline))
scheme@(guile-user)> (activate-readline)
scheme@(guile-user)> (use-modules (git)) (display "This still shows up?")
This still shows up?
;; <- It is stuck here, not even a SIGINT works
[1]+  Stopped                 guile -q
--8<---------------cut here---------------end--------------->8---

I have verified that using guile without any repl does not exhibit this
behaviour. I have attached the `strace -f guile' where I
pipe the offending code into stdin, and then the problem does not seem
to present itself. See "working.log".

I have also attached the strace of the repl when it exhibits the issue;
see "broken.log".

I think this might be related to
http://lists.gnu.org/archive/html/bug-guix/2018-07/msg00170.html as well.